//
// Headings
//
.h1 {
  @extend h1;
}

.h2 {
  @extend h2;
}

h3,
.h3 {
    padding-top: 0;
    font-weight: 500;
    font-size: rem(15);
    line-height: 120%;
    margin-bottom: rem(14);

    @include media-breakpoint-up(xl) {
        font-size: rem(24);
    }
}

h4,
.h4 {
    font-weight: 700;
    font-size: rem(15);
    line-height: 120%;
    margin-bottom: rem(10);

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        padding-top: rem(10);
    }
}

.h5 {
  @extend h5;
}

.h6 {
  @extend h6;
}

.lead {
  @include font-size($lead-font-size);
  font-weight: $lead-font-weight;
}

p {
    margin-bottom: rem(12);
}

// Type display classes
@each $display, $font-size in $display-font-sizes {
  .display-#{$display} {
    @include font-size($font-size);
    font-family: $display-font-family;
    font-style: $display-font-style;
    font-weight: $display-font-weight;
    line-height: $display-line-height;
  }
}

//
// Emphasis
//
.small {
  @extend small;
}

.mark {
  @extend mark;
}

//
// Lists
//

.list-unstyled {
    padding: 0;
    list-style: none;
    margin: 0 0 rem(12) 0;

    li {
        margin-bottom: rem(12);
    }
}

// Inline turns list items into inline-block
.list-inline {
  @include list-unstyled();
}
.list-inline-item {
  display: inline-block;

  &:not(:last-child) {
    margin-right: $list-inline-padding;
  }
}

.list-styled {
    padding: 0;
    list-style: none;
    margin: 0 0 rem(12) 0;

    li {
        position: relative;
        margin-bottom: rem(9);
        padding-left: rem(15);

        &:before {
            top: rem(8);
            left: 0;
            width: 7px;
            height: 7px;
            content: '';
            background: $red;
            border-radius: 50%;
            position: absolute;
        }
    }

    @include media-breakpoint-up(xl) {

        li {
            padding-left: rem(20);
        }
    }

    @include media-breakpoint-up(xxl) {

        li {
            padding-left: rem(26);

            &:before {
                top: rem(14);
                width: 8px;
                height: 8px;
            }
        }
    }
}

.content--padding {

    .list-styled {

        li {
            padding-left: 0;

            &:before {
                left: rem(-15);
            }
        }
    }

    @include media-breakpoint-up(xl) {

        .list-styled {

            li {
                padding-left: 0;

                &:before {
                    left: rem(-20);
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        .list-styled {

            li {
                padding-left: 0;

                &:before {
                    left: rem(-26);
                }
            }
        }
    }
}

.content--md {

    @include media-breakpoint-up(xl) {

        .list-styled {

            li {

                &:before {
                    top: rem(9);
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        .list-styled {

            li {

                &:before {
                    top: rem(12);
                }
            }
        }
    }
}


//
// Misc
//

// Builds on `abbr`
.initialism {
  @include font-size($initialism-font-size);
  text-transform: uppercase;
}

// Blockquotes
.blockquote {
  margin-bottom: $blockquote-margin-y;
  @include font-size($blockquote-font-size);

  > :last-child {
    margin-bottom: 0;
  }
}

.blockquote-footer {
  margin-top: -$blockquote-margin-y;
  margin-bottom: $blockquote-margin-y;
  @include font-size($blockquote-footer-font-size);
  color: $blockquote-footer-color;

  &::before {
    content: "\2014\00A0"; // em dash, nbsp
  }
}
